# model LM estimated on simulated data
require("MultiLCIRT") # package to be installed
source("LM_cov.R")
source("prob_post_cov.R")
source("lk_obs_cov.R")
source("prob_multilogit.R")
source("est_multilogit.R")
source("bootstrap_lm_cov.R")

# load data
load("simul_data.RData")

# estimate the model the sample
est = est_lm_cov(Y,X1,X2,k=2,output=TRUE,info=TRUE)

# output
Psi = cbind(est$Psi[,,1],est$sePsi[,,1]) 
colnames(Psi) = c("est1","est2","se1","se2")
Beta = cbind(est$Be,est$seBe,est$Be/est$seBe,2*(1-pnorm(abs(est$Be/est$seBe))))
colnames(Beta) = c("est.","se","t-stat","p-value")
ga1 = est$Ga[,1]; sega1 = est$seGa[,1]
Gamma1 = cbind(ga1,sega1,ga1/sega1,2*(1-pnorm(abs(ga1/sega1)))) 
colnames(Gamma1) = c("est.","se","t-stat","p-value")
ga2 = est$Ga[,2]; sega2 = est$seGa[,2]
Gamma2 = cbind(ga2,sega2,ga2/sega2,2*(1-pnorm(abs(ga2/sega2))))
colnames(Gamma2) = c("est.","se","t-stat","p-value")

# the following is very slow
# bootstrap on 199 samples
outb = bootstrap_lm_cov(X1,X2,param="multilogit",est$Psi,est$Be,est$Ga,B=199)

# boostrap p-values
round(cbind(est$seBe,outb$seBe),4)
cbind(est$seGa,outb$seGa)
